Home » Android » android – What are the dependencies of Google Maps v2?

android – What are the dependencies of Google Maps v2?

Posted by: admin June 15, 2020 Leave a comment

Questions:

I am new to Android and want to embed Google Maps v2 to my application, but can anyone please tell me which dependencies should I install on phone or include to project?

How to&Answers:

Include Gradle dependency:

dependencies {
    implementation 'com.google.android.gms:play-services-maps:16.1.0'
}

You may found Gradle, please helpful. Also, check out this page for Android APIs releases.

Answer:

I assume you have already read https://developers.google.com/maps/documentation/android/ 🙂

In short:

  • you need to download and install the Google Play service lib via SDK manager
  • create a project in Eclipse via “Create project from existing source code” and use the source code from “\android-sdk\extras\google\google_play_services\libproject\google-play-services_lib”
  • add this project as dependency to your actual project via right click on your project -> properties -> android -> add project library
  • add the permissions as described in the link mentioned above
  • request an API key as pointed out in the link above as well
  • add a SupportedMapFragment to your layout
  • you need an active Google account on the device to will test your map (it will install the required dependencies on the device automatically then)

That’s it 🙂

Hope that helps….